<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.RunFatalRecovery Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, catastrophic recovery is run on this environment before opening it for normal use.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool RunFatalRecovery

Visual Basic (Declaration)

    Public RunFatalRecovery As Boolean

Visual C++

    public:
    bool RunFatalRecovery

# Remarks

If true, the Create and UseTxns must also be set, because the regions are going to be removed and re-created, and transactions are required for application recovery.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace